<template>
  <footer class="footer-container">
    <div class="top-footer menu-content-sized-container">
      <div class="top-footer-container">
        <div
          v-for="(foo, i) in footer"
          :key="i"
        >
          <a class="footer-header">
            {{ foo.header}}
          </a>
          <div v-for="sub in foo.subs" :key="sub.name">
            <div class="sub-sec">
              <ext-link
                v-if="
                  typeof sub.link === 'object' &&
                  sub.link.hasOwnProperty('link')
                "
                :linkProps="sub.link"
              >
                {{ sub.name }}
              </ext-link>
              <span v-else :class="{ disabled: !sub.link }">
                {{ sub.name }}
              </span>
            </div>
          </div>
        </div>
      </div>
    </div>
    <div class="lower-footer menu-content-sized-container">
      <div class="footer-divider"></div>
      <div class="lower-footer-container">
        <div class="company-right">
          <span>Official THORChain.org</span>
        </div>
        <div style="position: relative" class="languages">
          <template v-for="(lang, index) in languages">
            <span class="lang" :class="{'active': lang.value === activeLang}" :key="index">{{lang.label}}</span>
            <span v-if="index !== languages.length-1" :key="index"> | </span>
          </template>
        </div>
      </div>
    </div>
  </footer>
</template>

<script>
import ExtLink from "../main/ExtLink.vue";
import smoothscroll from "smoothscroll-polyfill";

export default {
  components: { ExtLink },
  methods: {
    scrollTo(page, selector) {
      if (!selector) return;
      if (window && document.getElementById(selector)) {
        // smoothscroll.polyfill();
        // document.getElementById(selector).scrollIntoView({
        //     behavior: 'smooth'
        // });
        let offset = document.getElementById(selector).offsetTop;
        window.scroll({
          top: offset,
          left: 0,
          behavior: "smooth",
        });
      }

      this.$router.push({ path: page, hash: selector });
    },
  },
  data() {
    return {
      footer: [
        {
          header: "Provide Liquidity",
          subs: [
            { name: "Estimate Yield", link: this.$links("footer_lp_forecast_calculator")},
            { name: "Wallets", link: this.$links("slash_wallets")},
            { name: "Interfaces", link: this.$links("slash_interfaces")},
            { name: "Tools", link: this.$links("slash_liquidity_provider_tools")},
          ],
        },
        {
          header: "Build",
          subs: [
            { name: "Developers", link: this.$links("slash_developers")},
            { name: "Connecting to THORChain", link: this.$links("footer_thorchain_docs_connecting_to_thorchain")},
            { name: "Support a Chain", link: this.$links("slash_developers_chain_client")},
            
            { name: "Project Funding", link: this.$links("slash_project_funding")},
          ],
        },
        {
          header: "Explore",
          subs: [
            { name: "Bug Bounties", link: this.$links("footer_immunefi_bug_bounty")},
            { name: "Network Explorers", link: this.$links("slash_network_explorers")},
            { name: "Technical Docs", link: this.$links("footer_docs")},
            { name: "Papers Audits Reports", link: this.$links("slash_document_library")},
          ],
        },
        {
          header: "Community",
          subs: [
            { name: "Roles", link: this.$links("slash_community_roles")},
            { name: "Ecosystem", link: this.$links("slash_ecosystem")},
            { name: "THORChain Blog", link: this.$links("footer_blog")},
            { name: "RUNEBase News", link: this.$links("footer_runebase")},
          ],
        },
      ],
      languages: [
        { label: "EN", value: "en" },
        { label: "Multilang Soon"},
      ],
      activeLang: 'en'
    };
  },
};
</script>

<style lang="scss" scoped>
.footer-container {
  margin: auto;
  margin-top: 60px;
}

.top-footer-container {
  display: flex;
  justify-content: space-between;
  margin: auto;
  padding: 2.5rem;
  box-sizing: content-box;
  border-top: 3px solid $thor-divider-border-color;

  a {
    text-decoration: none;
    cursor: pointer;
  }

  .footer-header {
    cursor: default;
    color: $thor-white-color;
    font-family: "Roboto";
    padding-bottom: 0.625rem;
    font-style: normal;
    font-weight: 500;
    font-size: 1.25rem;
    line-height: 2.8125rem;
    height: 2.8125rem;
    position: relative;
    &.disabled {
      color: #1b2a34;
      pointer-events: none;
      cursor: default;
      &:hover {
        color: #4b5261;
      }
    }
  }
  .footer-header-spacing {
    height: 0.625rem;
  }

  .sub-sec {
    cursor: pointer;
    font: "Roboto";
    color: #4f5667;
    padding-bottom: 0.5rem;
    font-style: normal;
    font-weight: 500;
    font-size: 1.25rem;
    line-height: 2.8125rem;
    height: 2.8125rem;
    position: relative;
    &:hover {
      color: #20cab8;
      transition: all 1ms;
    }
    .disabled {
      pointer-events: none;
      color: #1b2a34;
      cursor: default;
      &:hover {
        color: #4b5261;
        background-color: #02121d;
        box-shadow: 0px 1px black;
      }
    }
    a {
      color: #4f5667;
      &:hover {
        color: #20cab8;
        transition: all 1ms;
      }
    }
  }
  .soon {
    position: absolute;
    font-weight: 300;
    font-size: 0.6em;
    right: 0.0625rem;
    top: -1.75rem;
    color: $thor-yellow-color;
  }
}

.lower-footer {
  font-style: normal;
  font-weight: normal;
  font-size: 1.25rem;
  line-height: 1.5rem;
  margin: 0rem auto;
  width: 100%;
  height: 5.3125rem;
  // padding: 0.6875rem 1.25rem 1.25rem 1.25rem ;
  color: #4f5667;

  .footer-divider {
    width: 100%;
    height: 3px;
    background: linear-gradient(135deg, $thor-left-border-color 0%, $thor-right-border-color 100%);
    border-radius: 3px;
  }

  .lower-footer-container {
    display: flex;
    align-items: center;
    justify-content: space-between;
    margin: 0 2.5rem;
    height: calc(100% - 3px);

    > * {
      // margin-top: 1rem;
    }

    .company-left {
      padding: 0.625rem 0 0.625rem 0;
    }

    .company-right span {
      font-weight: 400;
      font-size: 1.25rem;
    }

    .languages span {
      font-weight: 500;
      font-size: 1.25rem;
      color: inherit;
      background-color: transparent;
    }
    
    .lang {
      cursor: pointer;

      &.active {
        color: white;
      }
    }
    
    .svg-arrow {
      display: inline-block;
      position: absolute;
      fill: #4f5667;
      top: 0.25rem;
      right: 1.25rem;
      width: 1.25rem;
    }
    a {
      color: $thor-white-color;
      text-decoration: none;
      &:hover {
        color: $thor-blue-color;
        text-decoration: underline;
      }
    }
    .footer-lower-link {
      color: inherit;
      cursor: pointer;
      &:hover {
        text-decoration: none;
      }
    }
  }
}
</style>